HSI_ALLOC_MSG(9)

NAME
hsi_alloc_msg - Allocate an HSI message

SYNOPSIS

struct hsi_msg * hsi_alloc_msg(unsigned int nents, gfp_t flags);

ARGUMENTS

nents
    Number of memory entries

flags
    Kernel allocation flags

DESCRIPTION

nents can be 0. This mainly makes sense for read transfer. In that case, HSI drivers will call the complete callback when there is data to be read without consuming it.

Return NULL on failure or a pointer to an hsi_msg on success.

COPYRIGHT